You can use the API to deflect phone calls to the Intercom Messenger. Calling this endpoint will send an SMS with a link to the Messenger to the phone number specified.
If custom attributes are specified, they will be added to the user or lead's custom data attributes.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Phone number in E.164 format, that will receive the SMS to continue the conversation in the Messenger.
The custom attributes which are set on this object, as key-value pairs. For relationship attributes the value should be a list of custom object instance models. Only attributes a caller may set should be sent here — attributes Intercom generates are returned in responses only.
{ "paid_subscriber": true, "monthly_spend": 155.5, "team_mates": 9, "start_date_iso8601": "2023-03-04T09:46:14Z", "end_date_timestamp": 1677923174 }
- The production API serverhttps://api.intercom.io/phone_call_redirects
- The european API serverhttps://api.eu.intercom.io/phone_call_redirects
- The australian API serverhttps://api.au.intercom.io/phone_call_redirects
- successful
- bad request - exception sending sms
- bad request - invalid number
- unprocessable entity
curl -i -X POST \
https://api.intercom.io/phone_call_redirects \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"phone": "+353832345678",
"custom_attributes": {
"issue_type": "Billing",
"priority": "High"
}
}'successful
{ "url": "http://via.intercom.io/msgr/1add3dd1-a75e-4a96-96fd-984d16aba059", "type": "phone_call_redirect" }